Bug 153041 - [exp-run] lang/ruby* owns these dirs, in pkg-plist
[exp-run] lang/ruby* owns these dirs, in pkg-plist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-12 04:50 UTC by pgollucci
Modified: 2010-12-20 02:50 UTC (History)
0 users

See Also:


Attachments
9-CURRENT-amd64-rubygems18 (26.68 KB, text/plain)
2010-12-12 04:50 UTC, pgollucci
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pgollucci 2010-12-12 04:50:08 UTC

Fix: I intentionally didn't bump PORTREVISION even though its a pkg-plist change.  Let me know if you think its worth it.
Comment 1 Philip M. Gollucci freebsd_committer 2010-12-12 04:52:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr
Comment 2 pav freebsd_committer 2010-12-13 20:28:41 UTC
Responsible Changed
From-To: portmgr->pav

Take
Comment 3 pav freebsd_committer 2010-12-16 09:14:29 UTC
Responsible Changed
From-To: pav->pgollucci

Failure: 

http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20101213204436/ruby18-gtk2-0.90.5.log
Comment 4 Philip M. Gollucci freebsd_committer 2010-12-16 19:42:15 UTC
Responsible Changed
From-To: pgollucci->pav

need another -exp? 

The gtk2 line was mistakenly deleted previously.

28 ports depend on this one directly.

cvs diff
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/ruby-gtk2/pkg-plist,v
retrieving revision 1.32
diff -u -r1.32 pkg-plist
--- pkg-plist   11 Sep 2010 13:02:38 -0000      1.32
+++ pkg-plist   16 Dec 2010 19:40:57 -0000
@@ -199,8 +199,4 @@
 %%PORTEXAMPLES%%@dirrmtry %%RUBY_EXAMPLESDIR%%
 %%PORTDOCS%%@dirrm %%RUBY_MODDOCDIR%%
 %%PORTDOCS%%@dirrmtry %%RUBY_DOCDIR%%
-@dirrmtry %%RUBY_SITEARCHLIBDIR%%
 @dirrmtry %%RUBY_SITELIBDIR%%/gtk2
-@dirrmtry %%RUBY_SITELIBDIR%%
-@dirrmtry lib/ruby/site_ruby
-@dirrmtry lib/ruby

Full diff here:
http://people.freebsd.org/~pgollucci/FreeBSD/diffs/ruby-plist-2.diff

Comment 5 pav freebsd_committer 2010-12-19 09:52:01 UTC
Responsible Changed
From-To: pav->pgollucci

Tested without any failure
Comment 6 dfilter freebsd_committer 2010-12-20 02:46:29 UTC
pgollucci    2010-12-20 02:46:25 UTC

  FreeBSD ports repository

  Modified files:
    accessibility/ruby-atk pkg-plist 
    archivers/ruby-bz2   pkg-plist 
    archivers/ruby-lha   pkg-plist 
    audio/ruby-audiofile pkg-plist 
    audio/ruby-esound    pkg-plist 
    audio/ruby-freedb    pkg-plist 
    audio/ruby-mp3info   pkg-plist 
    audio/ruby-mp3tag    pkg-plist 
    audio/ruby-musicbrainz pkg-plist 
    audio/ruby-smf       pkg-plist 
    audio/ruby-taglib    pkg-plist 
    databases/ruby-cdb   pkg-plist 
    devel/ruby-fam       pkg-plist 
    devel/ruby-fastri    pkg-plist 
    devel/ruby-gconf2    pkg-plist 
    devel/ruby-glib2     pkg-plist 
    devel/ruby-gnomevfs  pkg-plist 
    devel/ruby-libglade2 pkg-plist 
    devel/ruby-locale2   pkg-plist 
    devel/ruby-statgrab  pkg-plist 
    graphics/ruby-gdk_pixbuf2 pkg-plist 
    graphics/ruby-gnomecanvas2 pkg-plist 
    graphics/ruby-libart2 pkg-plist 
    graphics/ruby-rmagick pkg-plist 
    graphics/ruby-rsvg2  pkg-plist 
    net/ruby-ldap        pkg-plist 
    print/ruby-gnomeprint pkg-plist 
    security/ruby-password pkg-plist 
    textproc/ruby-liquid pkg-plist 
    textproc/ruby-rss.alt pkg-plist 
    www/ruby-gtkhtml2    pkg-plist 
    www/ruby-gtkmozembed pkg-plist 
    x11/ruby-gnome2      pkg-plist 
    x11-toolkits/ruby-gnomeprintui pkg-plist 
    x11-toolkits/ruby-goocanvas pkg-plist 
    x11-toolkits/ruby-gstreamer pkg-plist 
    x11-toolkits/ruby-gtk2 pkg-plist 
    x11-toolkits/ruby-gtkglext pkg-plist 
    x11-toolkits/ruby-gtksourceview2 pkg-plist 
    x11-toolkits/ruby-panelapplet pkg-plist 
    x11-toolkits/ruby-pango pkg-plist 
    x11-toolkits/ruby-poppler pkg-plist 
    x11-toolkits/ruby-vte pkg-plist 
    lang/ruby18          pkg-plist 
    lang/ruby19          pkg-plist 
  Log:
  Clean up ruby pkg-plists:
      %%RUBY_SITEARCHLIBDIR%%
      %%RUBY_SITELIBDIR%%
      lib/ruby/site_ruby
      %%RUBY_VENDORARCHLIBDIR%%
      %%RUBY_VENDORLIBDIR%%
      lib/ruby/vendor_ruby
      lib/ruby
  
  Above directories are owned by lang/ruby1[89] ports.
  
  PR:         ports/153041
  Tested by:  2-exp runs by pav
  With Hat:   ruby@
  
  Revision  Changes    Path
  1.6       +0 -4      ports/accessibility/ruby-atk/pkg-plist
  1.7       +0 -4      ports/archivers/ruby-bz2/pkg-plist
  1.2       +0 -4      ports/archivers/ruby-lha/pkg-plist
  1.6       +0 -4      ports/audio/ruby-audiofile/pkg-plist
  1.3       +0 -4      ports/audio/ruby-esound/pkg-plist
  1.7       +0 -4      ports/audio/ruby-freedb/pkg-plist
  1.9       +0 -3      ports/audio/ruby-mp3info/pkg-plist
  1.4       +0 -3      ports/audio/ruby-mp3tag/pkg-plist
  1.5       +0 -4      ports/audio/ruby-musicbrainz/pkg-plist
  1.7       +0 -3      ports/audio/ruby-smf/pkg-plist
  1.2       +0 -3      ports/audio/ruby-taglib/pkg-plist
  1.4       +0 -4      ports/databases/ruby-cdb/pkg-plist
  1.6       +0 -4      ports/devel/ruby-fam/pkg-plist
  1.3       +0 -3      ports/devel/ruby-fastri/pkg-plist
  1.10      +0 -4      ports/devel/ruby-gconf2/pkg-plist
  1.18      +0 -4      ports/devel/ruby-glib2/pkg-plist
  1.6       +0 -4      ports/devel/ruby-gnomevfs/pkg-plist
  1.13      +0 -4      ports/devel/ruby-libglade2/pkg-plist
  1.4       +0 -3      ports/devel/ruby-locale2/pkg-plist
  1.2       +0 -3      ports/devel/ruby-statgrab/pkg-plist
  1.14      +0 -4      ports/graphics/ruby-gdk_pixbuf2/pkg-plist
  1.7       +0 -4      ports/graphics/ruby-gnomecanvas2/pkg-plist
  1.12      +0 -4      ports/graphics/ruby-libart2/pkg-plist
  1.28      +0 -4      ports/graphics/ruby-rmagick/pkg-plist
  1.5       +0 -4      ports/graphics/ruby-rsvg2/pkg-plist
  1.66      +7 -7      ports/lang/ruby18/pkg-plist
  1.7       +8 -8      ports/lang/ruby19/pkg-plist
  1.19      +0 -4      ports/net/ruby-ldap/pkg-plist
  1.7       +0 -4      ports/print/ruby-gnomeprint/pkg-plist
  1.6       +0 -4      ports/security/ruby-password/pkg-plist
  1.3       +0 -3      ports/textproc/ruby-liquid/pkg-plist
  1.13      +0 -3      ports/textproc/ruby-rss.alt/pkg-plist
  1.6       +0 -4      ports/www/ruby-gtkhtml2/pkg-plist
  1.5       +0 -4      ports/www/ruby-gtkmozembed/pkg-plist
  1.5       +0 -4      ports/x11-toolkits/ruby-gnomeprintui/pkg-plist
  1.2       +0 -4      ports/x11-toolkits/ruby-goocanvas/pkg-plist
  1.2       +0 -4      ports/x11-toolkits/ruby-gstreamer/pkg-plist
  1.33      +0 -5      ports/x11-toolkits/ruby-gtk2/pkg-plist
  1.5       +0 -4      ports/x11-toolkits/ruby-gtkglext/pkg-plist
  1.2       +0 -4      ports/x11-toolkits/ruby-gtksourceview2/pkg-plist
  1.5       +0 -4      ports/x11-toolkits/ruby-panelapplet/pkg-plist
  1.9       +0 -4      ports/x11-toolkits/ruby-pango/pkg-plist
  1.2       +0 -4      ports/x11-toolkits/ruby-poppler/pkg-plist
  1.2       +0 -4      ports/x11-toolkits/ruby-vte/pkg-plist
  1.14      +0 -4      ports/x11/ruby-gnome2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2010-12-20 02:46:34 UTC
State Changed
From-To: open->closed

Committed, Thanks!